IBitSet (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.utils.obs

## Interface IBitSet

- All Superinterfaces:
    java.lang.AutoCloseable, java.io.Closeable
  All Known Implementing Classes:
    OffHeapBitSet, OpenBitSet

      public interface IBitSet
      extends java.io.Closeable

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `capacity()`
    `void` | `clear()`
    `void` | `clear(long index)` clears the bit.
    `void` | `close()`
    `boolean` | `get(long index)` Returns true or false for the specified bit index.
    `long` | `offHeapSize()` Returns the amount of memory in bytes used off heap.
    `void` | `serialize(java.io.DataOutput out)`
    `long` | `serializedSize(TypeSizes type)`
    `void` | `set(long index)` Sets the bit at the specified index.

- - ### Method Detail

    - #### capacity

          long capacity()

    - #### get

          boolean get(long index)

      Returns true or false for the specified bit index. The index should be less than the capacity.

    - #### set

          void set(long index)

      Sets the bit at the specified index. The index should be less than the capacity.

    - #### clear

          void clear(long index)

      clears the bit. The index should be less than the capacity.

    - #### serialize

          void serialize(java.io.DataOutput out)
                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### serializedSize

          long serializedSize(TypeSizes type)

    - #### clear

          void clear()

    - #### close

          void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `java.io.Closeable`

    - #### offHeapSize

          long offHeapSize()

      Returns the amount of memory in bytes used off heap.
      Returns:
        the amount of memory in bytes used off heap

Copyright © 2018 The Apache Software Foundation